Bug 145637 - [patch] net/opentracker: Update MASTER_SITES
Summary: [patch] net/opentracker: Update MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-12 03:40 UTC by Glen Barber
Modified: 2010-04-15 22:50 UTC (History)
0 users

See Also:


Attachments
file.diff (556 bytes, patch)
2010-04-12 03:40 UTC, Glen Barber
no flags Details | Diff
opentracker_rc_subr.patch (878 bytes, patch)
2010-04-12 11:15 UTC, utisoft
no flags Details | Diff
opentracker.diff (969 bytes, patch)
2010-04-15 01:34 UTC, Sahil Tandon
no flags Details | Diff
opentracker.diff (920 bytes, patch)
2010-04-15 03:14 UTC, Sahil Tandon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Glen Barber 2010-04-12 03:40:00 UTC
Update MASTER_SITES with a more reliable location.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-04-12 03:40:08 UTC
Maintainer of net/opentracker,

Please note that PR ports/145637 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/145637

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-04-12 03:40:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 utisoft 2010-04-12 11:15:39 UTC
Thanks Glen,

I've also noticed that the port uses %%RC_SUBR%%, so I've taken that
out in the attached patch, which also has Glen's changes in it.

Please use this new patch, which is attached and is also at
http://www.bayofrum.net/~chris/patches/opentracker_rc_subr.patch

Chris
Comment 4 Sahil Tandon freebsd_committer 2010-04-14 04:55:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 5 Sahil Tandon freebsd_committer 2010-04-14 04:58:34 UTC
State Changed
From-To: feedback->open

Maintainer has provided revised patch.
Comment 6 Sahil Tandon freebsd_committer 2010-04-15 01:34:22 UTC
Both patches contain some mistakes.  The latest version of net/opentracker
in ports already has the RC_SUBR fix; see:

http://www.freebsd.org/cgi/cvsweb.cgi/ports/net/opentracker/files/opentracker.in.diff?r1=1.1;r2=1.2

And the original patch was missing a backslash which is required when
you define a variable (in this case, MASTER_SITES) over multiple lines.
I also suggest the use of the ${PORTNAME} variable where possible.
Please let me know if you approve the attached patch.

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 7 Glen Barber 2010-04-15 02:15:54 UTC
The intent in my original patch was to remove my 'dev-urandom' domain.

-- 
Glen Barber
Sent from my Android.

On Apr 14, 2010 8:34 PM, "Sahil Tandon" <sahil@freebsd.org> wrote:

Both patches contain some mistakes.  The latest version of net/opentracker
in ports already has the RC_SUBR fix; see:

http://www.freebsd.org/cgi/cvsweb.cgi/ports/net/opentracker/files/opentracker.in.diff?r1=1.1;r2=1.2

And the original patch was missing a backslash which is required when
you define a variable (in this case, MASTER_SITES) over multiple lines.
I also suggest the use of the ${PORTNAME} variable where possible.
Please let me know if you approve the attached patch.

--
Sahil Tandon <sahil@FreeBSD.org>
Comment 8 Sahil Tandon freebsd_committer 2010-04-15 03:14:20 UTC
On Wed, 14 Apr 2010, Glen Barber wrote:

> The intent in my original patch was to remove my 'dev-urandom' domain.

See attached.  Chris - are you OK with the other changes?  As I
mentioned in my previous follow-up, the patch to files/opentracker.in is
unnecessary and also incomplete, but we can ignore it since dougb@
already fixed it.  Thanks.

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 9 Sahil Tandon freebsd_committer 2010-04-15 04:17:32 UTC
State Changed
From-To: open->feedback

Ask maintainer to approve latest patch.
Comment 10 dfilter service freebsd_committer 2010-04-15 22:46:59 UTC
sahil       2010-04-15 21:46:50 UTC

  FreeBSD ports repository

  Modified files:
    net/opentracker      Makefile 
  Log:
  - Update MASTER_SITES
  - Use ${PORTNAME} variable where possible
  
  PR:             ports/145637
  Submitted by:   Glen Barber <glen.j.barber@gmail.com>
  Approved by:    Chris Rees (maintainer), wxs (mentor)
  
  Revision  Changes    Path
  1.3       +3 -3      ports/net/opentracker/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Sahil Tandon freebsd_committer 2010-04-15 22:47:50 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!